Subject: Re: [PATCH net] net: dlink: mask rx_coalesce/rx_timeout before writing RxDMAIntCtrl

From: "Yeounsu Moon" <[email-masked]>
Date: Sat, 03 Jan 2026 18:26:07 +0900

On Tue Dec 30, 2025 at 7:57 PM KST, Paolo Abeni wrote:
> I'm not sure we can do such change: any eventual user with bad setting
> will get a broken setup after kernel update. I think we should avoid
> such regression, and use something similar to this patch.
>
> @Yeounsu: the type cast in the current patch is not needed, please drop
> it, thanks!
>
> Paolo
Thank you for the review. I'll send v2 patch as suggested.

Separately, I agree with Andrew that it would be useful to alert users
when an invalid value is provided. Would it be OK to send a net-next
follow-up that warns (via netdev_warn()) when rx_coalesce or rx_timeout
exceeds 16 bits, while keeping the current behavior (no -EINVAL)?

    Yeounsu Moon